package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 判故逻辑对象 als_judge_fault_logic_t
 *
 * @author wgk
 * @date 2024-12-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_judge_fault_logic_t")
public class JudgeFaultLogic extends BaseEntity {
@Serial
private static final long serialVersionUID = 1L;

    /** 编号 */
    @Id
    private Long id;

    /** 机型 */
    private String model;

    /** HMC码 */
    private String hmcCode;

    /** 参数列 */
    private String parameterColumn;

    /** 模型 */
    private String pattern;

    /** 备注 */
    private String remarks;

    /** 删除标识（1删除 0未删除） */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
