package org.eco.als.domain.bo;

import org.eco.als.domain.JudgeFaultLogic;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 判故逻辑业务对象 als_judge_fault_logic_t
 *
 * @author wgk
 * @date 2024-12-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = JudgeFaultLogic.class, reverseConvertGenerate = false)
public class JudgeFaultLogicBo extends BaseEntity{
    /**
     * 编号
     */
//    @NotNull(message = "编号不能为空")
    private Long id;

    /**
     * 机型
     */
    @NotBlank(message = "机型不能为空")
    private String model;

    /**
     * HMC码
     */
    @NotBlank(message = "HMC码不能为空")
    private String hmcCode;

    /**
     * 参数列
     */
    @NotBlank(message = "参数列不能为空")
    private String parameterColumn;

    /**
     * 模型
     */
    @NotBlank(message = "模型不能为空")
    private String pattern;

    /**
     * 查询关键字
     */
    private String keyWord;


}
