package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.eco.common.excel.annotation.ExcelDictFormat;
import org.eco.common.excel.convert.ExcelDictConvert;
import lombok.Data;
import java.io.Serial;
import java.io.Serializable;
import lombok.NoArgsConstructor;

/**
 * 判故逻辑导入视图对象 als_judge_fault_logic_t
 *
 * @author wgk
 * @date 2024-12-11
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class JudgeFaultLogicImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


                /** 机型 */
                    @ExcelProperty(value = "机型")
                private String model;

                /** HMC码 */
                    @ExcelProperty(value = "HMC码")
                private String hmcCode;

                /** 参数列 */
                    @ExcelProperty(value = "参数列", converter = ExcelDictConvert.class)
                    @ExcelDictFormat(dictType = "sys_device_type")
                private String parameterColumn;

                /** 模型 */
                    @ExcelProperty(value = "模型")
                private String pattern;

                /** 备注 */
                    @ExcelProperty(value = "备注")
                    private String remarks;

                /** 删除标识（1删除 0未删除） */
                    @ExcelProperty(value = "删除标识（1删除 0未删除）")
                    private Integer delFlag;


}
