package org.eco.als.domain.vo;

import org.eco.als.domain.JudgeFaultLogic;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.eco.common.excel.annotation.ExcelDictFormat;
import org.eco.common.excel.convert.ExcelDictConvert;
import com.eco.common.mapper.constant.MapperConstant;
import com.eco.common.mapper.annotation.FieldMapper;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serial;
import java.io.Serializable;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 判故逻辑视图对象 als_judge_fault_logic_t
 *
 * @author wgk
 * @date 2024-12-11
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = JudgeFaultLogic.class)
public class JudgeFaultLogicVo extends BaseEntity implements Serializable {

@Serial
private static final long serialVersionUID = 1L;

    /** 编号 */
    @ExcelProperty(value = "编号")
    private Long id;

    /** 机型 */
    @ExcelProperty(value = "机型")
    private String model;

    /** HMC码 */
    @ExcelProperty(value = "HMC码")
    private String hmcCode;

    /** 参数列 */
    @ExcelProperty(value = "参数列", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "sys_device_type")
    private String parameterColumn;

    /** 模型 */
    @ExcelProperty(value = "模型")
    private String pattern;

    /** 备注 */
    @ExcelProperty(value = "备注")
    private String remarks;

    /** 删除标识（1删除 0未删除） */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


    /**
     * 创建人名称
     */
    @FieldMapper(type = MapperConstant.USER_ID_TO_NAME, mapper = "createBy")
    private String createByName;

    /**
     * 创建人名称
     */
    @FieldMapper(type = MapperConstant.USER_ID_TO_NAME, mapper = "updateBy")
    private String updateByName;

}
