DROP TABLE IF EXISTS "lqbz"."als_judge_fault_logic_t";
CREATE TABLE "lqbz"."als_judge_fault_logic_t"
(
    "id" BIGINT NOT NULL,
    "model" VARCHAR2(255),
    "HMC_code" VARCHAR2(255),
    "parameter_column" VARCHAR2(1000),
    "pattern" VARCHAR2(255),
    "remarks" VARCHAR2(900),
    "tenant_id" BIGINT,
    "del_flag" BIT DEFAULT 0,
    "version" INTEGER,
    "create_by" VARCHAR2(8188),
    "create_time" TIMESTAMP(6),
    "update_by" VARCHAR2(8188),
    "update_time" TIMESTAMP(6),
    NOT CLUSTER PRIMARY KEY("id")) STORAGE(ON "MAIN", CLUSTERBTR);

COMMENT ON TABLE "lqbz"."als_judge_fault_logic_t" IS '判故逻辑';

COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."model" IS '机型';

COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."HMC_code" IS 'HMC码';

COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."parameter_column" IS '参数列';

COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."pattern" IS '模型';

COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."remarks" IS '备注';

COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."update_time" IS '更新时间';
DROP TABLE IF EXISTS "lqbz"."als_fault_statistics_t";
CREATE TABLE "lqbz"."als_fault_statistics_t"
(
    "id" BIGINT NOT NULL,
    "statistics_date" DATE,
    "war_zone" VARCHAR2(255),
    "army" VARCHAR2(255),
    "division" VARCHAR2(255),
    "groups" VARCHAR2(255),
    "squadron" VARCHAR2(255),
    "aircraft_num" VARCHAR2(255),
    "aircraft_model" VARCHAR2(255),
    "factory_num" VARCHAR2(255),
    "machine_type" VARCHAR2(255),
    "machine_num" VARCHAR2(255),
    "machine_model" VARCHAR2(255),
    "machine_name" VARCHAR2(255),
    "landing_gear" VARCHAR2(255),
    "major" VARCHAR2(255),
    "faulty_parts_name" VARCHAR2(255),
    "faulty_parts_model" VARCHAR2(255),
    "faulty_parts_num" VARCHAR2(255),
    "engine_model" VARCHAR2(255),
    "engine_num" VARCHAR2(255),
    "engine_serial_num" VARCHAR2(255),
    "faulty_parts_position" VARCHAR2(255),
    "faulty_phenomenon" VARCHAR2(500),
    "faulty_place" VARCHAR2(255),
    "find_opportunity" VARCHAR2(255),
    "systems" VARCHAR2(255),
    "timing_type" VARCHAR2(255),
    "faulty_parts_manufacturer" VARCHAR2(255),
    "faulty_parts_renovate" VARCHAR2(255),
    "installation_time" VARCHAR2(255),
    "total_work_time" VARCHAR2(255),
    "repair_time" VARCHAR2(255),
    "replacement_parts_model" VARCHAR2(255),
    "replacement_parts_num" VARCHAR2(255),
    "replacement_parts_manufacturer" VARCHAR2(255),
    "replacement_total_work_time" VARCHAR2(255),
    "replacement_parts_renovate" VARCHAR2(255),
    "replacement_repair_time" VARCHAR2(255),
    "faulty_abnormal_code" VARCHAR2(255),
    "faulty_parts_install_date" DATE,
    "faulty_reason" VARCHAR2(500),
    "faulty_nature" VARCHAR2(500),
    "faulty_responsibility" VARCHAR2(500),
    "faulty_consequence" VARCHAR2(500),
    "handling_suggestions" VARCHAR2(500),
    "influence_frequency" VARCHAR2(255),
    "error_fly_frequency" VARCHAR2(255),
    "identification_method" VARCHAR2(500),
    "discovered_people" VARCHAR2(255),
    "exclusion_method" VARCHAR2(500),
    "exclusion_people" VARCHAR2(255),
    "examine_people" VARCHAR2(255),
    "examine_time" TIMESTAMP(6),
    "exclusion_date" DATE,
    "exclusion_work_time" VARCHAR2(255),
    "exclusion_people_num" VARCHAR2(255),
    "exclusion_time" VARCHAR2(255),
    "is_achievement" VARCHAR2(255),
    "need_test_fly" VARCHAR2(255),
    "repair_status" VARCHAR2(255),
    "remarks" VARCHAR2(900),
    "tenant_id" BIGINT,
    "del_flag" BIT DEFAULT 0,
    "version" INTEGER,
    "create_by" VARCHAR2(8188),
    "create_time" TIMESTAMP(6),
    "update_by" VARCHAR2(8188),
    "update_time" TIMESTAMP(6),
    NOT CLUSTER PRIMARY KEY("id")) STORAGE(ON "MAIN", CLUSTERBTR);

COMMENT ON TABLE "lqbz"."als_fault_statistics_t" IS '故障统计';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."statistics_date" IS '日期';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."war_zone" IS '战区';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."army" IS '军';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."division" IS '师';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."groups" IS '团';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."squadron" IS '中队';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."aircraft_num" IS '飞机号';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."aircraft_model" IS '机型';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."factory_num" IS '出厂号码';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."machine_type" IS '机件类型';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."machine_num" IS '机件号';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."machine_model" IS '机件型别';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."machine_name" IS '机件名称';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."landing_gear" IS '起落';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."major" IS '专业';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_parts_name" IS '故障件名称';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_parts_model" IS '故障件型别';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_parts_num" IS '故障件号码';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."engine_model" IS '故障件所属发动机型别';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."engine_num" IS '故障件所属发动机号码';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."engine_serial_num" IS '故障件所属发动机号码';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_parts_position" IS '故障件位置';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_phenomenon" IS '故障现象';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_place" IS '故障发生地点';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."find_opportunity" IS '发现时机';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."systems" IS '系统';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."timing_type" IS '计时类型';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_parts_manufacturer" IS '故障件制造厂';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_parts_renovate" IS '故障件翻修厂';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."installation_time" IS '故障件装本机工作时次';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."total_work_time" IS '故障件总工作时次';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."repair_time" IS '故障件修后时次';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."replacement_parts_model" IS '故换件型别';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."replacement_parts_num" IS '故换件号码';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."replacement_parts_manufacturer" IS '故换件制造厂';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."replacement_total_work_time" IS '故换件总工作时次';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."replacement_parts_renovate" IS '故换件翻修厂';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."replacement_repair_time" IS '故换件修后时次';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_abnormal_code" IS '故障失常码';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_parts_install_date" IS '故障件装机日期';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_reason" IS '故障原因';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_nature" IS '故障性质';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_responsibility" IS '故障责任';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."faulty_consequence" IS '故障后果';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."handling_suggestions" IS '处理意见';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."influence_frequency" IS '影响次数';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."error_fly_frequency" IS '误飞次数';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."identification_method" IS '判明方法';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."discovered_people" IS '发现人';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."exclusion_method" IS '排除方法';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."exclusion_people" IS '排故人';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."examine_people" IS '审核人';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."examine_time" IS '审核时间';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."exclusion_date" IS '排除日期';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."exclusion_work_time" IS '排故工时';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."exclusion_people_num" IS '排故人数';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."exclusion_time" IS '排故时间';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."is_achievement" IS '是否立功';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."need_test_fly" IS '需要试飞';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."repair_status" IS '维修状态';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."remarks" IS '备注';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_fault_statistics_t"."update_time" IS '更新时间';

