DROP TABLE IF EXISTS "lqbz"."als_lifetime_spare_parts_t";
CREATE TABLE "lqbz"."als_lifetime_spare_parts_t"
(
    "id" BIGINT NOT NULL,
    "air_id" VARCHAR2(255),
    "air_model_id" VARCHAR2(255),
    "config_id" VARCHAR2(255),
    "component_name" VARCHAR2(255),
    "component_model" VARCHAR2(255),
    "component_num" VARCHAR2(255),
    "factory_date" DATE,
    "current_install_aircraft" VARCHAR2(255),
    "work_time" VARCHAR2(255),
    "rated_lifetime" VARCHAR2(255),
    "remaining_lifetime" VARCHAR2(255),
    "remarks" VARCHAR2(900),
    "tenant_id" BIGINT,
    "del_flag" BIT DEFAULT 0,
    "version" INTEGER,
    "create_by" VARCHAR2(8188),
    "create_time" TIMESTAMP(6),
    "update_by" VARCHAR2(8188),
    "update_time" TIMESTAMP(6),
    NOT CLUSTER PRIMARY KEY("id")) STORAGE(ON "MAIN", CLUSTERBTR);

COMMENT ON TABLE "lqbz"."als_lifetime_spare_parts_t" IS '有寿件';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."air_id" IS '飞机编目';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."air_model_id" IS '飞机机号';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."config_id" IS '构型Id';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."component_name" IS '部件名称';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."component_model" IS '部件型号';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."component_num" IS '部件编码';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."factory_date" IS '出厂日期';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."current_install_aircraft" IS '当前安装飞机';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."work_time" IS '工作时次';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."rated_lifetime" IS '额定寿命';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."remaining_lifetime" IS '剩余寿命';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."remarks" IS '备注';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_lifetime_spare_parts_t"."update_time" IS '更新时间';
